curl --location 'https://api.syncware.com/api/v1/orders' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '[
{
"OrderID": "123456789",
"Source": "Custom",
"Customer": "Test Company 1",
"AcctgId": "cust00986",
"IsNewCustomer": false,
"PO": "PO1234",
"TxnId": "123456",
"OrderDate": "2021-06-12T15:23:03.000Z",
"ShipDate": "2021-06-12T15:23:03.000Z",
"CancelDate": "",
"ReceiptDate": "",
"NextEndpointId": 12345,
"IncomingEndpointId": 12345,
"ServerID": "123456789",
"BizOrderType": "SO",
"BillingAddress": {
"Company": "Test Company 1",
"Name": "Jane Doe",
"Address1": "111 Main St",
"Address2": "",
"City": "Boston",
"State": "MA",
"Zip": "01125",
"Country": "CA",
"Email": "jane@testemail.net"
},
"ShippingAddress": {
"Company": "Test Company 1",
"Name": "Jane Doe",
"Address1": "111 Main St",
"Address2": "",
"City": "Boston",
"State": "MA",
"Zip": "01125",
"Country": "CA",
"Email": "jane@testemail.net"
},
"ShipMethod": "FedEx",
"ShipService": "2 Day",
"PaymentMethod": "",
"Agency": "Super Agency",
"RepName": "Joe Mark",
"RepEmail": "joe@superagency.com",
"RepPhone": "123.123.2256",
"Terms": "N30",
"Notes": "Some order level notes",
"Status": "Open",
"Brand": "Vendor One",
"OrderClass": "string value",
"BackOrder": "false",
"SubTotal": "50.0",
"Total": "240.0",
"Commission": "25.2",
"Tax": "0.0",
"Discount": "2.0",
"DiscountCode": "NEWORDER",
"Freight": "0.0",
"CCType": "",
"CCNumber": "",
"CCToken": "CG*09#kP09Vdss908",
"CCExp": "12/2020",
"CCCvv": "",
"CCName": "",
"ccAuthId": "",
"San": "",
"BranchName": "",
"Location": "Road",
"Department": "",
"DistributionCenter": "",
"LineItems": [
{
"LineNumber": 1,
"LineKey": "1001",
"SKU": "ITEM-001",
"Description": "Some long description",
"Price": "5.75",
"RetailPrice": "",
"Quantity": "10",
"QuantityOrdered": "",
"QuantityInvoiced": "",
"QuantitySent": "",
"Discount": "2.0",
"UPC": "1112223331110",
"TxnLineId": "",
"Notes": "",
"Custom1": "",
"Custom2": "",
"Custom3": ""
}
],
"CustomFields": [
{
"Name": "OrderSource",
"Value": "Road"
}
]
}
]'[
{
"Id": 12345,
"OrderID": "2205968",
"OrderNumber": "synqware_1234",
"Source": "RepZio",
"Customer": "coast to coast nautical home decor",
"IsNewCustomer": false,
"PO": "PO1234",
"TxnId": "123456",
"OrderDate": "2017-08-20T15:12:01.243Z",
"BizOrderType": "SO",
"BillingAddress": {
"Company": "coast to coast nautical home decor",
"Name": "Jane Doe",
"Address1": "111 Main St",
"Address2": "",
"City": "Boston",
"State": "MA",
"Zip": "B0W2A0",
"Country": "CA",
"Email": ""
},
"ShippingAddress": {
"Company": "coast to coast nautical home decor",
"Name": "Jane Doe",
"Address1": "111 Main St",
"Address2": "",
"City": "Boston",
"State": "MA",
"Zip": "B0W2A0",
"Country": "CA",
"Email": ""
},
"ShipDate": "1901-01-01T00:00:00.000Z",
"ShipMethod": "",
"ShipService": "",
"PaymentMethod": "",
"CancelDate": "1901-01-01T00:00:00.000Z",
"Agency": "",
"RepName": "",
"RepEmail": "",
"Terms": "N30",
"Notes": "",
"Status": "",
"AcctgId": "",
"ReceiptDate": "1901-01-01T00:00:00.000Z",
"Total": "240.0",
"Commission": "25.2",
"SubTotal": "265.2",
"Tax": "0.0",
"Discount": "0.0",
"DiscountCode": "",
"Freight": "0.0",
"AltPO": "",
"CCType": "",
"CCNumber": "",
"CCToken": "",
"CCExp": "",
"CCCvv": "",
"CCName": "",
"ccAuthId": "",
"San": "",
"BranchName": "",
"Department": "",
"DistributionCenter": "",
"LineItems": [
{
"LineNumber": 1,
"LineKey": "",
"SKU": "ITEM-001",
"Description": "Some long description",
"Price": "3.5",
"RetailPrice": "",
"Quantity": "5",
"QuantityOrdered": "",
"QuantityInvoiced": "",
"QuantitySent": "",
"Discount": "2.0",
"UPC": "1112223331110",
"TxnLineId": "",
"Notes": "",
"Custom1": "",
"Custom2": "",
"Custom3": ""
}
],
"CustomFields": [
{
"Name": "OrderSource",
"Value": "Road"
}
]
}
]